package net.sf.itcb.common.web.exceptions;

import net.sf.itcb.common.business.exceptions.TechnicalItcbException;

/**
 * Technical client problem uses this exception {@link net.sf.itcb.common.business.exceptions.CommonItcbException}
 * 
 * @author Pierre Le Roux
 */
public class WebItcbException extends TechnicalItcbException {

	private static final long serialVersionUID = 1L;

    public WebItcbException(WebItcbExceptionMappingErrors ex, String localizedMessage) {
    	this(ex, localizedMessage, null);
    }
    
    public WebItcbException(WebItcbExceptionMappingErrors ex, String localizedMessage, Throwable cause) {
    	super(ex, localizedMessage, cause);
    }

}